>From 12794c7db905cc1314250ba5f36649e96591fbb1 Mon Sep 17 00:00:00 2001
From: Ildar Mulyukov <ildar@altlinux.ru>
Date: Thu, 19 Mar 2015 01:58:48 +0600
Subject: [PATCH] syslinux: add use/syslinux/default/% target

to choose the default syslinux entry to boot
---
 features.in/syslinux/config.mk   | 3 +++
 features.in/syslinux/generate.mk | 7 ++++++-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/features.in/syslinux/config.mk b/features.in/syslinux/config.mk
index 6ce1ec5..892e1b8 100644
--- a/features.in/syslinux/config.mk
+++ b/features.in/syslinux/config.mk
@@ -22,3 +22,6 @@ use/syslinux/%.cfg: use/syslinux
 
 use/syslinux/timeout/%: use/syslinux
 	@$(call set,SYSLINUX_TIMEOUT,$*)
+
+use/syslinux/default/%: use/syslinux
+	@$(call set,SYSLINUX_DEFAULT,$*)
diff --git a/features.in/syslinux/generate.mk b/features.in/syslinux/generate.mk
index d36b130..130e5f7 100644
--- a/features.in/syslinux/generate.mk
+++ b/features.in/syslinux/generate.mk
@@ -47,7 +47,7 @@ cfg = $(wildcard cfg.in/??$(1).cfg)
 #
 # arguments get evaluated before recipe body execution thus prep
 
-all: debug timeout
+all: debug timeout syslinux_default
 	@### proper text branding should be implemented
 	@echo $(SYSLINUX_MODULES) > $(DSTDIR)/modules.list
 	@echo $(SYSLINUX_FILES) > $(DSTDIR)/syslinux.list
@@ -65,6 +65,11 @@ timeout: distro
 	fi; \
 	sed -i "s,@timeout@,$$TIMEOUT," $(DSTDIR)/*.cfg
 
+syslinux_default: distro
+	@if [ -n "$(SYSLINUX_DEFAULT)" ]; then \
+		echo "default $(SYSLINUX_DEFAULT)" >> $(DSTDIR)/99default-entry.cfg ; \
+	fi
+
 distro: bootargs
 	@if [ -n "$(META_VOL_SET)" ]; then \
 		DISTRO="$(META_VOL_SET)"; \
-- 
2.1.4

